| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Enumerations | Functions
jcmaster.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_comp_master

## Macros
#define | JPEG_INTERNALS
#define | MAX_AH_AL 10

## Typedefs
typedef my_comp_master * | my_master_ptr

## Enumerations
enum | c_pass_type { main_pass, huff_opt_pass, output_pass }

## Functions
| initial_setup (j_compress_ptr cinfo)
| validate_script (j_compress_ptr cinfo)
| select_scan_parameters (j_compress_ptr cinfo)
| per_scan_setup (j_compress_ptr cinfo)
| prepare_for_pass (j_compress_ptr cinfo)
| pass_startup (j_compress_ptr cinfo)
| finish_pass_master (j_compress_ptr cinfo)
| jinit_c_master_control (j_compress_ptr cinfo, boolean transcode_only)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 14 of file jcmaster.c.

#define MAX_AH_AL 10

## Typedef Documentation

typedef my_comp_master* my_master_ptr

Definition at line 38 of file jcmaster.c.

## Enumeration Type Documentation

enum c_pass_type

Enumerator
main_pass |
huff_opt_pass |
output_pass |

Definition at line 21 of file jcmaster.c.

## Function Documentation

finish_pass_master | ( | j_compress_ptr | cinfo | ) |

Definition at line 503 of file jcmaster.c.

initial_setup | ( | j_compress_ptr | cinfo | ) |

Definition at line 46 of file jcmaster.c.

jinit_c_master_control | ( | j_compress_ptr | cinfo,
|  | boolean | transcode_only
| ) |  |

Definition at line 543 of file jcmaster.c.

pass_startup | ( | j_compress_ptr | cinfo | ) |

Definition at line 489 of file jcmaster.c.

per_scan_setup | ( | j_compress_ptr | cinfo | ) |

Definition at line 308 of file jcmaster.c.

prepare_for_pass | ( | j_compress_ptr | cinfo | ) |

Definition at line 401 of file jcmaster.c.

select_scan_parameters | ( | j_compress_ptr | cinfo | ) |

Definition at line 267 of file jcmaster.c.

validate_script | ( | j_compress_ptr | cinfo | ) |

Definition at line 130 of file jcmaster.c.